Skip to main content

Interface: SyncScanOptions

Defined in: src/scan/scanner.ts:60

Optional parameters for Scanner.syncScan.

Extends​

Properties​

numRetries?​

optional numRetries?: number;

Defined in: src/scan/scanner.ts:52

Per-call retry override (0–5). Omit to use the global configuration.

Inherited from​

ScanCallOptions.numRetries


timeoutMs?​

optional timeoutMs?: number;

Defined in: src/scan/scanner.ts:54

Per-attempt deadline including response body reads. Defaults to 60 seconds.

Inherited from​

ScanCallOptions.timeoutMs


signal?​

optional signal?: AbortSignal;

Defined in: src/scan/scanner.ts:56

Cancel attempts and retry backoff.

Inherited from​

ScanCallOptions.signal


trId?​

optional trId?: string;

Defined in: src/scan/scanner.ts:62

Transaction ID for tracing. Max 100 characters.


sessionId?​

optional sessionId?: string;

Defined in: src/scan/scanner.ts:64

Session ID for grouping related scans. Max 100 characters.


metadata?​

optional metadata?: objectOutputType<{
app_name: ZodOptional<ZodString>;
app_user: ZodOptional<ZodString>;
ai_model: ZodOptional<ZodString>;
user_ip: ZodOptional<ZodString>;
agent_meta: ZodOptional<ZodObject<{
agent_id: ZodOptional<ZodString>;
agent_version: ZodOptional<ZodString>;
agent_arn: ZodOptional<ZodString>;
}, "passthrough", ZodTypeAny, objectOutputType<{
agent_id: ZodOptional<ZodString>;
agent_version: ZodOptional<ZodString>;
agent_arn: ZodOptional<ZodString>;
}, ZodTypeAny, "passthrough">, objectInputType<{
agent_id: ZodOptional<ZodString>;
agent_version: ZodOptional<ZodString>;
agent_arn: ZodOptional<ZodString>;
}, ZodTypeAny, "passthrough">>>;
}, ZodTypeAny, "passthrough">;

Defined in: src/scan/scanner.ts:66

Application metadata attached to the scan request.